TypeAnnotation.TypeParameterTarget (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.classfile, interface: TypeAnnotation, interface: TypeParameterTarget
Keywords: java.lang.classfile.TypeAnnotation.TypeParameterTarget interface

# Interface TypeAnnotation.TypeParameterTarget

All Superinterfaces:
  `TypeAnnotation.TargetInfo`

Enclosing interface:
  `TypeAnnotation`

public static sealed interface TypeAnnotation.TypeParameterTarget extends TypeAnnotation.TargetInfo
Indicates that an annotation appears on the declaration of the i'th type parameter of a generic class, generic interface, generic method, or generic constructor.

Since:
  24
See Also:
  - `TypeAnnotation.TargetInfo.ofTypeParameter(TargetType, int)`
  - `TypeAnnotation.TargetInfo.ofClassTypeParameter(int)`
  - `TypeAnnotation.TargetInfo.ofMethodTypeParameter(int)`

- ## Field Summary

  ### Fields declared in interface TypeAnnotation.TargetInfo

  `TARGET_CAST, TARGET_CLASS_EXTENDS, TARGET_CLASS_TYPE_PARAMETER, TARGET_CLASS_TYPE_PARAMETER_BOUND, TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT, TARGET_CONSTRUCTOR_REFERENCE, TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT, TARGET_EXCEPTION_PARAMETER, TARGET_FIELD, TARGET_INSTANCEOF, TARGET_LOCAL_VARIABLE, TARGET_METHOD_FORMAL_PARAMETER, TARGET_METHOD_INVOCATION_TYPE_ARGUMENT, TARGET_METHOD_RECEIVER, TARGET_METHOD_REFERENCE, TARGET_METHOD_REFERENCE_TYPE_ARGUMENT, TARGET_METHOD_RETURN, TARGET_METHOD_TYPE_PARAMETER, TARGET_METHOD_TYPE_PARAMETER_BOUND, TARGET_NEW, TARGET_RESOURCE_VARIABLE, TARGET_THROWS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `typeParameterIndex()`
  JVMS: The value of the type_parameter_index item specifies which type parameter declaration is annotated.

  ### Methods declared in interface TypeAnnotation.TargetInfo

  `size, targetType`

- ## Method Details

  - ### typeParameterIndex

    int typeParameterIndex()
    JVMS: The value of the type_parameter_index item specifies which type parameter declaration is annotated. A type_parameter_index value of 0 specifies the first type parameter declaration.
    Returns:
      the index into the type parameters